MLX4EN(4)

NAME
mlx4en - Mellanox ConnectX-3 10GbE/40GbE network adapter driver

SYNOPSIS
To compile this driver into the kernel, place these lines in your kernel configuration file:

options COMPAT_LINUXKPI
device mlx4
device mlx4en

To load the driver as a module at run-time, run this command as root:

    kldload mlx4en

To load the driver as a module at boot time, place this line in loader.conf(5):

    mlx4en_load="YES"

DESCRIPTION
Mellanox ConnectX adapter cards with Virtual Protocol Interconnect (VPI) provide the highest performing and most flexible interconnect solution for Enterprise Data Centers, High-Performance Computing, and Embedded environments. Clustered data bases, parallelized applications, transactional services and high-performance embedded I/O applications will achieve significant performance improvements resulting in reduced completion time and lower cost per operation.

HARDWARE
The mlx4en driver supports the following network adapters:

•   Mellanox ConnectX-2 (ETH)
•   Mellanox ConnectX-3 (ETH)

SUPPORT
For general information and support, go to the Mellanox support website at: http://www.mellanox.com/.

If an issue is identified with this driver and a supported network adapter, please email the specific information to <freebsd-drivers@mellanox.com>.

SEE ALSO
mlx4ib(4), ifconfig(8)

HISTORY
The mlx4en device driver first appeared in FreeBSD 9.0.

AUTHORS
-nosplit The mlx4en driver was written by Mellanox Technologies <freebsd-drivers@mellanox.com>.